## Varargs Value Collection

Varargs Value Collection — Converting varargs to generic values

## Synopsis

    #include <gobject.h>

    union       GTypeCValue;
    #define     G_VALUE_COLLECT                 (value, var_args, flags, __error)
    #define     G_VALUE_LCOPY                   (value, var_args, flags, __error)
    #define     G_VALUE_COLLECT_FORMAT_MAX_LENGTH

## Description

## Details

### union GTypeCValue

    union GTypeCValue
    {
      gint     v_int;
      glong    v_long;
      gint64   v_int64;
      gdouble  v_double;
      gpointer v_pointer;
    };

### G_VALUE_COLLECT()

    #define     G_VALUE_COLLECT(value, var_args, flags, __error)

`value` : |
`var_args` : |
`flags` : |
`__error` : |

### G_VALUE_LCOPY()

    #define     G_VALUE_LCOPY(value, var_args, flags, __error)

`value` : |
`var_args` : |
`flags` : |
`__error` : |

### G_VALUE_COLLECT_FORMAT_MAX_LENGTH

    #define	G_VALUE_COLLECT_FORMAT_MAX_LENGTH	(8)